Bug 1801253 - ART builds fail with older go version
Summary: ART builds fail with older go version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Tomáš Nožička
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-10 14:14 UTC by Tomáš Nožička
Modified: 2020-05-13 21:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:57:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 289 None closed Bug 1801253: Enforce golang only at 1.13.4 level 2020-04-17 09:11:40 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:57:26 UTC

Description Tomáš Nožička 2020-02-10 14:14:24 UTC
`go` is required with minimal version "1.13.5", detected version "1.13.4". You can override this check by using `make GO_REQUIRED_MIN_VERSION:=`.  Stop.

Comment 2 zhou ying 2020-02-11 01:54:07 UTC
[root@localhost ~]# oc version -o yaml 
clientVersion:
  buildDate: "2020-02-10T17:21:47Z"
  compiler: gc
  gitCommit: ee05f83cb8f0bee84c0a1516591437cd71befdc8
  gitTreeState: clean
  gitVersion: v4.4.0
  goVersion: go1.13.4
  major: ""
  minor: ""
  platform: linux/amd64

Comment 4 errata-xmlrpc 2020-05-13 21:57:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.